var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
import React from 'react';
import DragIndicatorIcon from '@mui/icons-material/DragIndicator';
import { useDraggable } from '@dnd-kit/core';
import { DndItemTypes } from '../../types';
import { useStyles } from './styles';
export var ColumnDragIndicator = function (_a) {
    var columnValue = _a.columnValue, rowData = _a.rowData, index = _a.index, getColumnWidth = _a.getColumnWidth;
    var styles = useStyles();
    var _b = useDraggable({
        id: columnValue.id,
        data: {
            type: DndItemTypes.Column,
            getColumnWidth: getColumnWidth,
            columnValue: columnValue,
            rowData: rowData,
            index: index
        }
    }), setDraggableNodeRef = _b.setNodeRef, attributes = _b.attributes, listeners = _b.listeners;
    return (React.createElement("div", __assign({ ref: setDraggableNodeRef, className: styles.dragIndicator }, attributes, listeners),
        React.createElement(DragIndicatorIcon, { className: styles.dragIndicatorIcon })));
};
